Package ru.bitel.bgbilling.plugins.dispatch.server.dao

# Class ContactDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.common.dao.AbstractDao<Contact>
ru.bitel.bgbilling.common.dao.AbstractIdDao<Contact>
ru.bitel.bgbilling.plugins.dispatch.server.dao.ContactDao

public class ContactDao extends ru.bitel.bgbilling.common.dao.AbstractIdDao<Contact>
DAO для работы с контактами напрямую. Вместо работы с этим DAO рекомендуется обращаться к `DispatchService`.

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `orderByPattern`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContactDao(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deleteByType(int contactTypeId)`
  Удаление всех контактов данного типа
  `void`
  `deleteContactByContractId(int contractId)`
  Удаление всех контактов данного договора
  `Contact`
  `getContactFromRS(ResultSet rs)`
  Возвращает контакт, полученный из переданного ResultSet'a.
  `List<Contact>`
  `getContacts(String contactsStr, int contractId)`
  Возвращает контакты указанных в строке кодов для данного договора
  `List<Contact>`
  `getContactsOfContract(int contractId)`
  Возвращает список всех контакты данного договора.
  `List<Contact>`
  `getContactsOfContract(int contractId, int contactTypeId)`
  Возвращает список контактов договора одного типа.
  `List<ContractContact>`
  `getContracts(String name, int typeId)`
  Получение списка договоров по контакту
  `String`
  `getDefaultValue(int contactTypeId, int contractId)`
  `protected Contact`
  `getFromRS(ResultSet rs)`
  `protected void`
  `updateImpl(Contact contact)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractIdDao

  `delete, executeUpdate, get, getAndDelete, getAndUpdate, opt, prepareStatement, sqlCommand, sqlCommandAndTable, sqlQuery, sqlWhereId`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, list, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, psSetPeriod, queryPeriod, setStatementParam, update`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getSQLOrder, getTableName, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContactDao

    public ContactDao(Connection con)

- ## Method Details

  - ### updateImpl

    protected void updateImpl(Contact contact) throws SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<Contact>`
    Throws:
      `SQLException`

  - ### getFromRS

    protected Contact getFromRS(ResultSet rs) throws SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.bgbilling.common.dao.AbstractDao<Contact>`
    Throws:
      `SQLException`

  - ### getDefaultValue

    public String getDefaultValue(int contactTypeId, int contractId) throws Exception
    Throws:
      `Exception`

  - ### getContactFromRS

    public Contact getContactFromRS(ResultSet rs) throws SQLException
    Возвращает контакт, полученный из переданного ResultSet'a.
    Parameters:
      `rs` -
    Returns:
    Throws:
      `SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### getContactsOfContract

    public List<Contact> getContactsOfContract(int contractId) throws SQLException
    Возвращает список всех контакты данного договора.
    Parameters:
      `contractId` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### getContactsOfContract

    public List<Contact> getContactsOfContract(int contractId, int contactTypeId) throws SQLException
    Возвращает список контактов договора одного типа.
    Parameters:
      `contractId` - - код дговора
      `contactTypeId` - - код типа контакта.
    Returns:
      list - списко контактов договора
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### getContacts

    public List<Contact> getContacts(String contactsStr, int contractId) throws SQLException
    Возвращает контакты указанных в строке кодов для данного договора
    Parameters:
      `contactsStr` - строка, содержащая перечисление кодов контактов
      `contractId` - код договора
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### deleteByType

    public void deleteByType(int contactTypeId) throws SQLException
    Удаление всех контактов данного типа
    Parameters:
      `contactTypeId` - код типа контактов
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### deleteContactByContractId

    public void deleteContactByContractId(int contractId) throws SQLException
    Удаление всех контактов данного договора
    Parameters:
      `contractId` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### getContracts

    public List<ContractContact> getContracts(String name, int typeId) throws Exception
    Получение списка договоров по контакту
    Parameters:
      `name` - Строка для поиска
      `type` - Тип контакта
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `Exception`